Authentication Problems

Authentication FAQ

1. Why am I not asked for a username and password?

If you aren't being asked for a username and password for a download that requires authentication then your Internet Explorer Security settings may need changing...

2. How can I change the security settings of Internet Explorer?

To change the security settings of Internet Explorer follow the steps shown below:

1. From the 'Tools' menu of Internet Explorer, select 'Internet Options'. Or Right click on the Internet Explorer icon on Desktop. Select properties. A dialog called Internet Properties or Internet Options will show up.

2. Select the security tab.

3. Click on the 'Custom Level' button.

4. Scroll to the bottom of the page to the 'User Authentication' section.

  1. Ensure that Logon is not set to 'Anonymous Logon'.
  2. If it is, change this to one of the other options; preferably to 'Prompt for username and Password'.
  3. Save and close the dialogs. Restart the Internet Explorer.

This should solve your problem.


Bottero NC Generation FAQ

Bottero NC Code Generation and Transferring

1. Do I have to do any settings before making the NC codes for Bottero?

You will need to do the following one time setting before you start making the NC codes file.

Select the menu NC Links->NC Options...

You will see the following NC Controller Settings dialog...

  • Select your controller from the drop down list. The list of controllers enabled in the Hardware lock are shown

  • Set the directory into which the NC files have to be saved.

Note:

1. By default the controller enabled by Hardware Lock is selected and the NC directory is set to "C:" If the List shows NONE then NO controllers have been enabled in your lock and generation of NC codes is disabled.

2. For Bottero Shape you will require one more directory called DAT.

For e.g.: If your selected NC Directory is C:\tmp. Then in C: you will have to create a directory named DAT.

2. How can I make NC code file for Bottero in PLUS 2D?

To make the Bottero NC file follow the steps shown below.

  • Optimize the job.

  • On the Details page, click on the controller CNC button or goto OUTPUT tab, and click on the controller CNC button. Or you can also make the NC codes file from menu NC Links->Bottero Opt.

PLUS 2D will write out the .OPT files into the directory set during NC Options.

3. How can I transfer Bottero NC file (.OPT) into the Bottero Machine ?

  • Copy the .OPT file into the floppy disk and the .DAT (in case the Job contains shapes) from the DAT directory.

  • Insert the floppy in the Bottero Machine computer with BCMS running on it.

  • Now Copy (Ctrl - F2) the floppy disk contents into the machine.

  • In this window, select Source as Floppy Disk and Destination as Hard Disk.

  • Select the Modes as Overwrite Conformation.

  • In File Types select second option, i.e., Optimizations and click Copy button at the bottom.

This will copy all the required files from Floppy disk into the appropriate directories in BCMS.

Now to view this Optimization file click F4 and select the file that you have saved from the shown list of files. Once it has loaded the file, you are ready to cut the patterns.


Data Entering FAQ

Frequently Asked Questions on Data

1. How can I add new stock to the inventory database?

You can add them to the database by following the steps mentioned.

  • Open the package, in which you want to add a new stock.

  • Go to tools > inventory management, this will display a dialog containing the database table.

  • Go to the last row and press tab to begin a new row.

  • Feed the details of the new stock obtained in the table.

  • Press the OK button. close the package.

2. How can I merge two Job Files ?

Simply select the rows of the Stocks and Parts tables from one job, copy, and paste into the other.

3. I have all the stocks/part information in a spreadsheet. How can I import it into the software ?

Simply copy the table data into the clipboard, and paste it into the table inside the package.

4. Should I manually type a huge list of stocks or parts in the job file every time?

Such a list of stocks or parts can be typed in a separate spreadsheet application. Every time you want to feed this data you may use two methods.
  • Using the Windows Clipboard, by simple Copy and Paste : You can copy a single cell , a single column, or row, or the entire table.
  • Using a Comma Separated Value (CSV) file : simply specify the "Import Column" in the "Column Mapping Table". You can also save these settings for repeated imports.


DXF Import FAQ

Frequently Asked Questions on DXF Import

1. What version of AutoCAD DXF files are supported?

The AutoCAD has released many versions of DXF file. Our applications support all the DXF format till AutoCAD 2000.

We support DXF file format of AutoCAD Release 14 Binary DXF and formats lower than this.

2. How Can I import a Ellipse made in a DXF file in PLUS 2D?

PLUS 2D supports a Ellipse that is made up of polylines and not a TRUE ellipse as usually made by the AutoCAD application.

To make a Ellipse made up of polylines, the AutoCAD application provides you with a variable that by default makes a TRUE ellipse. You need to change the value of this variable, so that it makes a ellipse of polylines.

The variable PELLIPSE has to be set to 1(ON) by you. By default it is set to Zero(OFF). And then the ellipse of the required size has to be drawn. After you have drawn the ellipse, you will see that ellipse is made up of many smaller segments.

3. How to set the PELLIPSE to 1 (or ON mode)?

In the AutoCAD application, type PELLIPSE in the command bar and press enter. You will be asked for the new current value. Also the default value or value previously entered will be shown. If the variable is not set to ON then type 1 and press enter. This will change the variable to the ON mode. Once you have done this, the ellipse you make will be made of many smaller segments. Although the method of making the ellipse will remain same.


Installation TrobleShooting

Installation FAQ

1. I am getting a Message from my antivirus program saying "Malicious Script Detected, Your computer is halted and needs to do something about this script".

This issue occurs because our installation uses Install.hta, an HTML application (HTA). Some Antivirus program, like Norton Antivirus, may generate a warning message when an HTA file runs. They incorrectly classify this scripts as something malicious and give a message like

Malicious Script Detected

High Risk

Your computer is halted and needs to do something about this script.

Please refer to the following article which explains a workaround for a similar case of Microsoft Installation Script...

http://support.microsoft.com/default.aspx?scid=kb;en-us;867484

We can suggest two workarounds for the above mentioned problem.

Method 1: Allow the script to run once and complete the installation.

In the dialog box of the antivirus program that has stopped the script from running, such as the Norton Antivirus box, click Allow the entire script once and then click OK.

Follow the steps to complete the installation of the programs.

Method 2: You may install the software manually...

Start Windows Explorer, and then locate the CD-ROM Drive that contains the "PLUS" Cd.

Right click on the "PLUS" Cd and then click "Install PLUS 2D" to Install the PLUS 2D Optimization software.

Right click on the "PLUS" Cd and then click "Install Demos" to Install the demo movies for PLUS 2D.

2. How can I enable Nirvana Macro for PLUS 2D label printing?

To enable Nirvana Macro for label printing you will have to follow the procedure shown below:

1. Before you start installing Macros, please set the security level of macros in Word as Low. Goto Tools -> Macro -> Security... Initially the security level will be set to high. Set the security level to Low as shown below.

2. Now from PLUS 2D, click send labels to word button in output page.

3. Word will open and you will see the following dialog on your screen.

4. Click on the Details button shown in the dialog. One more dialog called Digital signature details will open.

5. Click on the View Certificate button. You will see a Certificate dialog.

6. Click on the Install certificate... button. A Certificate Import Wizard will open up.

7. Click Next.

8. Select the first option and click Next.

9. Click on Finish. You will get a message on your screen as shown below.

10. Click Ok. And close the Word document that is open.

11. Set the security level back to High, for Macro in Word before going ahead. (Tools -> Macro -> Security...)

12. Now from PLUS 2D, again click Send to Labels button on Output page. Word opens up and you will see a Security Warning dialog.

13. Check the checkbox saying Always trust macros from this source. On doing so Enable Macros button will be enabled. On clicking it you will see the following dialog.

14. As soon as you click New Document, Word starts printing the Labels.

The next time you click Send labels to Word from PLUS 2D only the above dialog will come from where you can choose the format of label, etc.

3. Why some users are experiencing license issues during start up in a Network Installation of PLUS 2D (Error 14)?

Error 14: Indicates that License server is not found. This could mean that either the server is not running or there is some problem reaching the server.

Hence please check out the following...

1. Is PLUS 2D server running. If so, it will indicate the IP addresses of the computers it has issued a license.

In case only few users cannot reach the server, then please check out the following additional points...

1. The TCP/IP is correctly enabled and the network is enabled.

2. The IP addresses are of the same sub-net, i.e., only the last tuple of the IP address is different for the client computer.

IP address xxx.xxx.xxx.NNN, where only NNN can be different for the client computer from the server IP address.

3. Some Antivirus/Firewall software is blocking the "PLUS 2D nesting software" application, in which case it should be added to the list of exceptions. (See the Windows Firewall, if you are using the standard Windows Firewall).

4. The client was not properly installed, hence the drivers did not get installed properly. Reinstall should solve the problem.

4. I have a network lock, but when I try to run the network server program on a standalone system (which does not have network), I get the "fatal error 10065" and PLUS 2D runs in the demo mode.

Normally we have clients connecting to the PLUS2D server, to access the Hardware Lock. The standalone system does not have a network, so the network server fails to start correctly. As a consequence, PLUS2D client cannot get the License, and works in demo mode.

5. Is there any method with which the PLUS server will work on a standalone system.

To make the PLUS server working on a standalone system you will have to install a VIRTUAL network by installing a "Loopback Adapter". Once you have installed the virtual network you can start PLUS server program.

6. What is a Loopback Adapter?

The Microsoft Loopback adapter is a testing tool for a virtual network environment where network access is not available. You can bind network clients, protocols and other network configuration items to the Loopback adapter and you can install the network adapter driver or network adapter later while retaining the network configuration information.

7. How to install the Loopback adapter?

To manually install the Loopback adapter in Windows XP, follow this steps :

1. Click start and then click control panel. Because this is XP, you may have it set up this way, or you may have your interface set up in Classic view. Either way, navigate your way to 'Add Hardware', or 'Printers and other Hardware'

2. Launch the wizard to Add Hardware to your system. Do not be confused because you are not actually installing any new hardware, just simply adding a 'network adapter' which is acting as a virtual adapter.

3. Click next once you have launched the wizard. You will see a series of dialog boxes open to ask you about scanning for hardware changes, etc - you will want to do everything manually in this exercise. There will be no automatic scanning for any reason because you have not installed anything, the installation will immediately fail.

4. You will next be asked if the hardware is connected. You can select Yes from the options and click Next.

5. Now, select from the bottom of the list the 'add a new hardware device' and then click Next.

6. Click "Install the hardware that I manually select from a list" , and then click Next.

7. Select 'Network Adapters' from the Common hardware types section within the dialog box and then click Next.

8. Select Microsoft and then the Microsoft Loopback Adapter, and then click Next.

9. Click Finish after the above dialog is shown. The Loopback Adapter is now installed on your standalone system.

8. How can I make the PLUS Server software to start automatically when the computer, in which it is installed, is Booted?

To add PLUS Server to your Startup folder (that will make it work each time you start the windows and you will see it in the system tray), please follow the below instructions:

1. Click Start->Programs, then right click on Startup folder and choose Open.

2. On the Startup window, go to File menu and choose New->Shortcut.

3. In the dialog box click the Browse button to specify the PLUS Server program, it's by default at C:\windows\tcps.exe (Where C is the partition that Windows OS is installed).

4. After specifying the program path, click next.

5. Change the name of the program from tcps.exe to PLUS Server and click finish.

6. Then you will see a new shortcut icon in the Startup folder.

7. Right click on that shortcut and choose Properties, select Minimized from the Run combo box, and click Ok, then close the Startup folder.

8. At the next time you start your computer the program will run automatically and you will see it in the system tray.


Inventory FAQ

Frequently Asked Questions on Inventory

1. Why is the update inventory button disabled?

For a given job file after optimization if the user has clicked on the update inventory button than the inventory gets updated, there after the button is disabled so that the user should not update the inventory again by carelessly clicking on it, which may disturb the inventory data.

2. What is the ID column in the inventory management database table?

The ID column in the inventory management database table represents the ID no of each stock or offcut . This ID no is automatically generated by PLUS 2D and should not be fed by the user.

3. If I feed a stock in the stock table which is similar to a stock in the database , then upon optimization will the stock in the database get updated?

Yes, the stock in the database will get updated upon pressing the update inventory button. The stock that has been fed should however match the ID, length, width, material, thickness of the stock in the database.

4. Does the ID of the Stock/Part have to be numeric ?

The ID of the stocks and parts can be made of any alphanumeric characters. Only keep in mind that the ID's have to be unique.


Miscellaneous FAQ

Miscellaneous Questions

1. What is the significance of the 'CONFIRM' column in Summary of Layouts in Summary Page?

With each generated layout there is a check box associated for confirmation. If any point of time if we feel a particular generated layout is not up to the mark then we can reject that layout by un-checking the check box. All values and percentages shown in the "summary page" will be recalculated, based only on the confirmed layouts. By default all layouts are marked as confirmed. In the DEMO version, this column is NOT EDITABLE.

2. Why is there a Re nest button?

If the user is not satisfied with some layouts, he can cancel the specific layout numbers by unchecking the confirm column. These layouts can than be nested separately by choosing the Re nest button.

3. Can I change the units of measuring stock and part dimensions?

Yes PLUS 2D allows you to change the units of measurement for different job files. go to tools > unit settings. This will display a dialog where the user can feed the new units for measurement.

4. Why are some parts highlighted in RED color ?

Parts that cannot fit in any of the selected stocks are flagged off in RED. This means that there is no appropriate stock in which the part can fit. The program will try to fit the part in one of the valid stocks of matching material and thickness that is entered in the stocks table.

This could happen because of the following reasons:

  1. The stock quantity ZERO.
  2. The stock is too small for the part to fit in.
  3. Rotation of the part is not allowed and Length of part is not along the length of stock and width is along the width.
  4. In case you have specified Multiple Materials, i.e., if you have the material and thickness column in the stock and part tables, then perhaps a matching material and thickness is not being found.

Lastly if all the above is not true.

5. In case you are using MARGINS on the stock, then perhaps the stock is too small after the margins are cut, to fit the parts.

5. What is the significance of Rotation in parts ?

Grain Direction is a direction along which the material exhibits a critical property. If it is critical for a part then the rotation should not be allowed else Rotation can be allowed. The software will try and rotate the part (by 90degrees) to achieve better utilization if rotation is allowed.


Optimization FAQ

Frequently Asked Questions on Optimization

1. Are offcuts considered in utilization percentage?

Yes, offcuts can be utilized again for nesting purposes and cannot be considered as scrap. Thus in utilization percentage the offcuts are also considered.

2. Though the entire stock is not used, I am getting the utilization as 100 % Why ?

Check if the "Allow Offcut" setting is ON. Probably, the remaining piece is larger than the minimum offcut size. In such a case the remaining piece is NOT considered as waste.

3. What is the difference between quick and optimized results?

Quick results concentrate on giving you the fastest optimization. This could be useful if the user is seeking just an approximate value for a particular case, which he wants to convey to a party (say during a telephonic conversation.). optimized results concentrates more on giving you the most optimum solution irrespective of the time taken.

4. Will the package utilize the offcuts generated first or the fresh sheets?

The package will try to utilize the offcuts first.

Note: Offcuts should be of the same material and thickness as the required parts.


Network License FAQ

1. What is the 5 User Network License?

The software is also available as a 5 User Network License and in further multiples of 5. What this means is, that you can install the software on any number of computers on a Windows TCP/IP network. AT A TIME (simultaneously) FIVE (5 or the number of licenses you have purchased) users can use the software. So you could install the software on say 10 computers and at a time any 5 users on the same network can use the software. If the 6th person tries to start the software then, he will be informed that 5 users are already logged in. As soon as one of the current users exits the software, it will become available for use by others.

2. Is there any attachment needed to run the software with Network License?

This option comes with a Hardware Dongle that you will attach to a USB port of your SERVER machine. Hence this is usually shipped via courier.

3. How can I install the software with Network License?

There are 2 steps to installing the software:

  1. Installing a server on the server computer (the computer on which you will be attaching the hardware lock).

  2. Installing the client software on your client machines (any machine where you want to run the software. You may install both the Server and Client on the same machine).

Please refer to Installation guide available on the setup CD for more details on installation.

Note : The machines have to be on the same Windows TCP/IP network as the server.

4. How to run the application after the installation is complete?

Start the PLUS Server program on the server machine, and then you can run the programs on any of the client machines, subject to the limit of the number of simultaneous licenses.

5. How can I check whether the client machines are on the same sub-net as the Server machine?

Check the IP address of the client and the server machines. If the first three numbers are same for both the machines, then the machines are on the same network. Even if one of the first three numbers is different then the machine are on different sub-net.

For e.g.:

IP address of Client machine is say 192.168.50.20 and IP address of the Server machine is 192.168.50.10. are on the same sub-net, whereas 192.168.100.15 and 192.168.101.10 are on different sub-nets.

6. How can I find out how many users are currently logged on the server?

The server program shows the number of User Logged in and the IP address of client machine of each user.


Output FAQ

1. Text labels on the layout drawing appear to be mirrored.

When you insert an Enhanced Metafile (EMF) image, such as Barcode control, into your document, the characters in the EMF or Barcode are displayed upside down.

This issue occurs only in computers running Microsoft Windows NT 4.0 or Microsoft Windows 2000. Enhanced Metafile images are displayed correctly on computer running Microsoft Windows 95 or Microsoft Windows 98.

This problem is caused by the drawing feature that is shared by the Microsoft Office 2000 programs.

You can also refer to the following article if you encounter any problem with characters being displayed upside down in the layout drawings.

http://support.microsoft.com/default.aspx?scid=kb;EN-US;264709

2. How can I resolve Text Mirroring problem?

To resolve the problem, obtain the latest service pack for Microsoft Office 2000. For additional information, click the following article number to view the article in the Microsoft Knowledge Base: 276367 (http://support.microsoft.com/kb/276367/EN-US/)

Or else to work around this issue, save the graphic in a format other than EMF. To do this, follow the steps shown below.

  1. Open the original graphic in a graphics editing program.
  2. Save the graphic in another graphic format, such as JPEG or GIF.
  3. Insert the JPEG or GIF file into the Microsoft Office document.

3. I want my company name to be displayed in every RTF output?

In PLUS 2D the company name can be placed as a header in every RTF output. Go to tools > customize header. This option allows you to change the header by placing your company name and logo.

4. How can I add Headers and Footers in the Output?

There is a facility available to enter the some specific Headers and Footers in the RTF output file. Go to tools > customize header, which will open up a RTF document where you are allowed to edit.

You just need to add the keywords, shown below, in the above document at the in Headers or Footers. These keywords will be replaced by the appropriate fields from the job file.

We support the following keywords.

Key Word | Will be Replaced by (Output Page)
PH_PRJ_NAME | Project Name.
PH_CUST_NAME | Customer Name.
PH_CUST_ID | Customer Id.
PH_JOB_ORD_NO | Job Order No.
PH_CREATED_BY | Created by
PH_APPROVED_BY | Approved by
PH_CUSTOM_FIELD | Custom Field


Transfer License

Software License Transfer FAQ

1. How can I transfer my license from one computer to other?

We can help you transfer the license to another computer once free of cost if you follow the three step procedure given below.

1. Unregister the program you want to install on other computer and get the unregister code. Please copy the same and send it to us for verification via e-mail.

2. Install a copy of the program using your setup files, on your new machine, and send us the hardware fingerprint.

3. Please send us both the above information in a e-mail. After receiving and verifying

a. The Unregisteration code.

b. The Hardware fingerprint of the new machine.

We will issue you the new key required for the installation you had done in step 2 above.

2. How to unregister a program?

To unregister a program follow the steps shown below.

Run the program from Start -> Run with the UNREGISTER command line parameter.

For example: To Unregister PLUS 1D.

Say PLUS 1D is installed in "C:\Program files\ Nirvana\Plus1D\Plus1D.exe" directory, then the following is the command you would type in the command line...

"C:\Program files\ Nirvana\Plus1D\Plus1D.exe" UNREGISTER

This will generate an Unregister code.


Tables FAQ

Frequently Asked Questions on Tables

1. How do I add a new row in the tables ?

When you press a TAB in the present row, rightmost column of the table, a new row is automatically added or by using the Append Row from the right click menu of the mouse.

2. How do I delete a row in the table ?

Select the Entire Row, by clicking on the first column of the required row and press delete or click delete from the right click menu of the mouse.

3. How can I sort the items in the Tables ?

To sort a column of values, simply double click on the column header.

4. Can I change the size or order of the rows in the tables?

No, you cannot do this. The sizes have been so adjusted that you do not need to scroll horizontally when any row is displayed. However you ZOOM by pressing the "Ctrl key" while moving the mouse wheel.

5. Can I change the width or the order of the columns?

Yes, you can change the width of the columns. But only for the tables marked with Blue color on the Left hand Top corner of the tables. viz. Stock Page, Part Page, Shape Page columns can be changed in size. The Order of the columns cannot be changed.

6. Why are some cells in a different color?

Disabled cells of the table where user input is not allowed are grayed. At some places errors are highlighted in red, for instance if we have a part, which does not fit in any stock, it is highlighted in Red. Also rows that have a special property are sometimes highlighted in blue (viz. Output page, layouts that have an offcut are highlighted).

7. How can I import data into the tables?

Use the familiar windows copy and paste shortcuts (Ctrl-C and Ctrl-V). You can even copy entire columns.

8. Can I add one or more columns to the stock or part table?

Yes, the user can add new columns to the table by selecting tools>add custom columns. In the columns thus added the user may feed information about : stock receipt, date of issue etc.

9. How can I edit a few selected cells of the table directly?

Yes you can edit the selected cell of the table. Select all the cells you want to edit, by the same expression, Right click and select Edit Selected option. A dialog as shown below will pop up.

Enter the required value in the space given and click OK. All the selected cells will then get automatically updated by the same amount.